org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class OIDReferenceCollection

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.OIDReferenceCollection

-     public class OIDReferenceCollection
      extends Object

  Java class for OIDReferenceCollection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OIDReferenceCollection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="oIDReference" type="{http://www.w3.org/2001/XMLSchema}int"
               maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Integer>` | `oidReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDReferenceCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Integer>` | `getOIDReference()` Gets the value of the oidReference property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oidReference

          protected List<Integer> oidReference

  - ### Constructor Detail

    - #### OIDReferenceCollection

          public OIDReferenceCollection()

  - ### Method Detail

    - #### getOIDReference

          public List<Integer> getOIDReference()

      Gets the value of the oidReference property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oidReference property.

      For example, to add a new item, do as follows:

              getOIDReference().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

Copyright © 2017 WSO2. All rights reserved.